diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 27324d0..287420e 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -117123,12 +117123,12 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
         string?  b   == STRINGP(b)$Lisp
         symbol?  b   == IDENTP(b)$Lisp
         integer? b   == INTEGERP(b)$Lisp
-        float?   b   == RNUMP(b)$Lisp
+        float?   b   == FLOATP(b)$Lisp
 
         destruct b == (list? b    => b pretend List %; error "Non-list")
         string b == (STRINGP(b)$Lisp=> b pretend Str;error "Non-string")
         symbol b == (IDENTP(b)$Lisp => b pretend Sym;error "Non-symbol")
-        float   b == (RNUMP(b)$Lisp  => b pretend Flt;error "Non-float")
+        float   b == (FLOATP(b)$Lisp  => b pretend Flt;error "Non-float")
         integer b == (INTEGERP(b)$Lisp => b pretend Int;error "Non-integer")
         expr    b == b pretend Expr
 
diff --git a/changelog b/changelog
index eb12cd8..c2ffca3 100644
--- a/changelog
+++ b/changelog
@@ -1,5 +1,11 @@
+20130313 tpd src/axiom-website/patches.html 20130313.05.tpd.patch
+20130313 tpd src/interp/vmlisp.lisp RNUMP removed
+20130313 tpd src/interp/sys-pkg.lisp RNUMP removed
+20130313 tpd src/interp/g-timer.lisp RNUMP removed
+20130313 tpd books/bookvol10.3 RNUMP removed
 20130313 tpd src/axiom-website/patches.html 20130313.04.tpd.patch
 20130313 tpd books/bookvol10.3 INTRVL fix 20480, 30143
+20130313 tpd buglist INTRVL fix 20480, 30143
 20130313 tpd src/axiom-website/patches.html 20130313.03.tpd.patch
 20130313 tpd books/bookvol10.3 AFFSP fix 30230, 20495; introduce 60076
 20130313 tpd buglist fix 30230, 20495; introduce 60076
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index daab5cb..1b1371c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4023,5 +4023,7 @@ books/bookvol5 fix references
 books/bookvol10.3 AFFSP fix 30230, 20495; introduce 60076
 <a href="patches/20130313.04.tpd.patch">20130313.04.tpd.patch</a>
 books/bookvol10.3 INTRVL fix 20480, 30143
+<a href="patches/20130313.05.tpd.patch">20130313.05.tpd.patch</a>
+books/bookvol10.3 RNUMP removed
  </body>
 </html>
diff --git a/src/interp/g-timer.lisp.pamphlet b/src/interp/g-timer.lisp.pamphlet
index ad0cba9..4b2e81a 100644
--- a/src/interp/g-timer.lisp.pamphlet
+++ b/src/interp/g-timer.lisp.pamphlet
@@ -236,7 +236,7 @@
   (PROG (K M)
     (RETURN
       (COND
-        ((RNUMP |t|) (SPADLET |t| (|roundStat| |t|))
+        ((FLOATP |t|) (SPADLET |t| (|roundStat| |t|))
          (COND
            ((BOOT-EQUAL |t| 0.0) "0")
            ('T (FORMAT NIL "~,2F" |t|))))
@@ -257,7 +257,7 @@
 ;   true
 
 (DEFUN |significantStat| (|t|)
-  (COND ((RNUMP |t|) (> |t| 0.01)) ((integerp |t|) (> |t| 100)) ('T 'T)))
+  (COND ((FLOATP |t|) (> |t| 0.01)) ((integerp |t|) (> |t| 100)) ('T 'T)))
 
 ;roundStat t ==
 ;  not RNUMP t => t
@@ -265,7 +265,7 @@
 
 (DEFUN |roundStat| (|t|)
   (COND
-    ((NULL (RNUMP |t|)) |t|)
+    ((NULL (FLOATP |t|)) |t|)
     ('T (QUOTIENT (truncate (PLUS 0.5 (TIMES |t| 1000.0))) 1000.0))))
 
 ;makeStatString(oldstr,time,abb,flag) ==
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index a8cc88e..5ce9be3 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -375,7 +375,7 @@ provides support for compiler code.
          VMLISP::MAKESTRING VMLISP::CUROUTSTREAM VMLISP::QCDDDR
          VMLISP::QCDADAR VMLISP::MAKE-ABSOLUTE-FILENAME VMLISP::SUFFIX
          VMLISP::FUNARGP VMLISP::VM/ VMLISP::QRPLACA VMLISP::GGREATERP
-         VMLISP::CGREATERP VMLISP::RNUMP VMLISP::RESETQ VMLISP::QRPLACD
+         VMLISP::CGREATERP VMLISP::RESETQ VMLISP::QRPLACD
          VMLISP::SORTBY VMLISP::CVECP VMLISP::SETELT VMLISP::HGET
          VMLISP::$DIRECTORY-LIST VMLISP::LN VMLISP::|member|
          VMLISP::$LIBRARY-DIRECTORY-LIST
@@ -690,7 +690,6 @@ provides support for compiler code.
 (lisp:import '(vmlisp::ivecp))
 (lisp:import '(vmlisp::rvecp))
 (lisp:import '(vmlisp::dig2fix))
-(lisp:import '(vmlisp::rnump))
 (lisp:import '(vmlisp::fix))
 (lisp:import '(vmlisp::sortgreaterp))
 (lisp:import '(vmlisp::qsort))
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 4bde94e..8fc9089 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -335,9 +335,6 @@ documentclass{article}
 (defmacro resetq (a b)
  `(prog1 ,a (setq ,a ,b)))
 
-(defmacro rnump (n)
- `(floatp ,n))
-
 (defmacro rplq (&whole form exp pattern)
  (if (or (consp pattern) (simple-vector-p pattern))
   `(,(rcqexp pattern) ,exp)
